
import UIKit
import UserNotifications

@UIApplicationMain
class AppDelegate: UIResponder, UIApplicationDelegate {
    var window: UIWindow?

    func application(_ application: UIApplication, didFinishLaunchingWithOptions launchOptions: [UIApplication.LaunchOptionsKey: Any]?) -> Bool {
        let notificationcenter = UNUserNotificationCenter.current()
        notificationcenter.requestAuthorization(options: [.alert, .sound], completionHandler: { (granted, error) in
            if granted && error == nil {
                print("Permission Granted")
            }
        })
        return true
    }
}

